Does OpenCV3 support Qt4? [closed]

asked 2015-09-13 10:58:52 -0500

I faced highgui issues (aspect ratio of windows weren't maintained) when using Qt5 and OpenCV3 built from source.

I'm attempting to rebuild OpenCV with Qt4 support instead, but OpenCV3 Cmake configuration keeps looking for Qt5.

I short, can OpenCV3 work with Qt4 for the backend of highgui?

edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by opencvslave
close date 2017-12-05 08:23:46.168005

Comments

3

@opencvslave yes it is possible, I have this setup in my system due to the bugs you are mentioning. However, you will need to install the Qt4 libraries and and to add the -D WITH_QT=4 option in the cmake configuration.

theodore gravatar imagetheodore ( 2015-09-13 13:28:30 -0500 )edit

To answer myself. Yes, it does, and it works better (in my case) than Qt5.

opencvslave gravatar imageopencvslave ( 2015-10-31 00:50:03 -0500 )edit